type CacheStrategy = 'session' | 'local' | 'memory';
interface CacheOptions {
    strategy?: CacheStrategy;
    ttl?: number;
}
export declare class CachedRequest {
    private cacheKey;
    private fetchData;
    private options;
    constructor(cacheKey: string, fetchData: () => Promise<any>, options?: CacheOptions);
    private getCache;
    private getCachedData;
    private setCachedData;
    clearCache(): void;
    fetch(forceRefresh?: boolean): Promise<any>;
}
export {};
